<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"
	import="java.util.Date,
		java.util.Iterator,
		java.util.List,
		java.util.Map,
		java.util.ArrayList,
		com.ecosway.stockiest.model.AnnouncementBean,
		com.ecosway.stockiest.common.CommonConstant,
		java.text.SimpleDateFormat"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="sec"
	uri="http://www.springframework.org/security/tags"%>

<html>
<head>
<link rel="stylesheet" type="text/css"
	href="<c:url value="/css/style.css"/>" />
<title><spring:message code="title.page" /></title>

<SCRIPT LANGUAGE="JavaScript">
	function search() {
		if (document.listForm.month.value == "<spring:message code='announcement.field.search.select.month' />") {
			alert("<spring:message code='announcement.field.search.select.month' />");
		} else if (document.listForm.year.value == "<spring:message code='announcement.field.search.select.year' />") {
			alert("<spring:message code='announcement.field.search.select.year' />");
		} else if (document.listForm.tcs.value == "subject"
				&& document.listForm.subject.value.length < 4) {
			alert("<spring:message code='announcement.field.search.error.subject.length' />");
		} else {
			document.listForm.submit();
		}
	}

	function displayContent(refNo) {
		var stkAnnWindow = window
				.open(
						"page/annoucementDetail.jsp?refNo=" + refNo,
						"Announcement_Message",
						"toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=800,height=500");
		stkAnnWindow.focus();
	}

	function directToMain() {
		alert("<spring:message code='password.msg.change.success' />");
	}
</SCRIPT>
</head>

<body <%if (request.getAttribute("success") != null) {%>
	onload="javascript:directToMain();return false;" <%}%>>
	<form name="listForm"
		action="<%=request.getContextPath()%>/listAnnouncement" method="post">
		<table width="70%" border="1" cellspacing="3" cellpadding="5"
			align="center" class="tbl">
			<tr>
				<td colspan="2"><%@ include file="header.jsp"%></td>
			</tr>
			<tr>
				<td>
					<!-- Search --> <%@ include file="search.jsp"%>
				</td>
			</tr>
			<tr>
				<td>
					<table width="95%" border="0" cellspacing="3" cellpadding="5"
						class="tblSub">

						<tr>
							<td colspan="2"><b><spring:message
										code='announcement.field.list.announcement' /></b></td>
						</tr>

						<%
							// ANNOUNCEMENT
							List<AnnouncementBean> beanList = (List<AnnouncementBean>) request
									.getAttribute("beanList");
							;

							if (beanList.size() > 0) {
								for (AnnouncementBean bean : beanList) {
						%>
						<tr>
							<td width="17%"><span style="padding: 0 0 0 35"><%=CommonConstant.DISPLAY_DATE_FORMAT.format(bean
							.getEffectiveDate())%></span></td>
							<td width="83%" align="left"><span style="padding: 0 0 0 0"><b><a
										href="javascript:displayContent(<%=bean.getRefNo()%>)"> <%=bean.getSubject()%></a></b></span></td>
						</tr>
						<%
							}
								// no records found.
							} else {
						%>
						<tr>
							<td colspan="2"><spring:message
									code='announcement.field.list.no.record' /></td>
						</tr>
						<%
							}
						%>
						<tr>
							<td colspan="2" />
						</tr>
						<tr>
							<td colspan="2" />
						</tr>
						<%
							// Rules And Regulations
							AnnouncementBean rrBean = (AnnouncementBean) request
									.getAttribute("rrBean");

							if (rrBean != null && rrBean.getCategory() != null) {
						%><tr>
							<td colspan="2"><b><a
									href="javascript:displayContent(<%=rrBean.getRefNo()%>)"><%=rrBean.getCategory()%>
								</a></b></td>
						</tr>
						<br>
						<%
							}
						%>
					</table>
				</td>
			</tr>
		</table>
	</form>
</body>

</html>