<%@ page session="true"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"
	import="com.ecosway.stockiest.service.AnnouncementService,
		com.ecosway.stockiest.service.impl.AnnouncementServiceImpl,
		com.ecosway.stockiest.model.AnnouncementBean,
		com.ecosway.stockiest.common.CommonConstant,
		com.ecosway.stockiest.common.CommonProperties"%>

<%@taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<html>
<head>
<title><spring:message code="title.page" /></title>
</head>
<body>
	<%
		AnnouncementService service = new AnnouncementServiceImpl();
		AnnouncementBean bean = service.getAnnouncementBean(Integer
				.parseInt(request.getParameter("refNo")));
	%>

	<div align="right" style="font-family: arial; font-size: 15px;">
		[<a href="javascript:window.print();"><spring:message
				code='common.link.print.window' /></a>] [<a
			href="javascript:window.close();"><spring:message
				code='common.link.close.window' /></a>]
	</div>

	<h3>
		<p style="font-family: arial; font-size: 15px;">
			Date :
			<%=CommonConstant.DISPLAY_DATE_FORMAT.format(bean
					.getEffectiveDate())%></p>

		<p style="font-family: arial; font-size: 15px;"><%=bean.getSubject()%></p>

	</h3>
	<%=bean.getContent()%>

	<%
		int year = bean.getEffectiveDate().getYear() + 1900;
		if (bean.getFileNameList().size() > 0
				&& !bean.getFileNameList().get(0).equalsIgnoreCase("")) {
	%>
	<br>

	<p style="font-family: arial; font-size: 15px;">
		<spring:message code='announcement.field.detail.file' />
	</p>

	<p style="font-family: arial; font-size: 15px;">
		<%
			for (int i = 0; i < bean.getFileNameList().size(); i++) {
		%>
		<%=i + 1%>. <a target="_blank"
			href="<%=CommonProperties.getFileContextPath()%>/<%=year%>/<%=bean.getFileNameList().get(i)%>"><%=bean.getFileNameList().get(i)%></a><br>
		<%
			}
			}
		%>
	</p>
	<div align="right" style="font-family: arial; font-size: 15px;">
		[<a href="javascript:window.close();"><spring:message
				code='common.link.close.window' /></a>]
	</div>
</body>
</html>