<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="sec"
	uri="http://www.springframework.org/security/tags"%>

<html>
<head>
<title><spring:message code="title.page" /></title>

<script LANGUAGE="JavaScript">
	function changePwd() {
		var alpha = /[A-Z]/gi;
		var numeric = /[0-9]/;
		
		if (document.changePwdForm.oldPwd.value.length < 1) {
			alert("<spring:message code='password.msg.err.old.pwd.empty' />");
		} else if (document.changePwdForm.newPwd.value.length < 8) {
			alert("<spring:message code='password.msg.err.new.pwd.length' />");
		} else if (document.changePwdForm.oldPwd.value == document.changePwdForm.newPwd.value) {
			alert("<spring:message code='password.msg.err.new.old.pwd.same' />");
		} else if (document.changePwdForm.newPwd.value != document.changePwdForm.confirm.value) {
			alert("<spring:message code='password.msg.err.pwd.not.match' />");
		} else if (!/^[a-zA-Z0-9]+$/.test(document.changePwdForm.newPwd.value)) {
			alert("<spring:message code='password.msg.err.pwd.alpha.numeric' />");
		} else if (document.changePwdForm.newPwd.value.match(alpha) == null
				|| document.changePwdForm.newPwd.value.match(numeric) == null) {
			alert("<spring:message code='password.msg.err.login.pwd.alpha.numeric' />");
		} else {
			document.changePwdForm.submit();
		}
	}

	function backMain() {
		document.changePwdForm.action = "<%=(String) request.getContextPath()%>/listAnnouncement";
		document.changePwdForm.target = "";
		document.changePwdForm.submit();
	}
</script>
<link rel="stylesheet" type="text/css"
	href="<c:url value="/css/style.css"/>" />
</head>

<body>

	<form name="changePwdForm" method='POST'
		action="<%=request.getContextPath()%>/changePwd">
		<input name="first" type="hidden"
			value="<%=request.getAttribute("first")%>" />
		<table width="70%" border="1" cellspacing="3" cellpadding=5
			"
			align="center" class="tbl">
			<tr>
				<td colspan="2"><%@ include file="header.jsp"%></td>
			</tr>
			<tr>
				<td>
					<table width="95%" border="0" align="center" class="tblSub">
						<tr>
							<td colspan="3"><b><spring:message
										code="password.field.change.password" /></b></td>
						</tr>
						<tr>
							<td colspan="3"><b><spring:message
										code="password.field.login.stockist.code" /> <sec:authentication
										property="principal" /></b></td>
						</tr>
						<%
							if (request.getAttribute("error") != null) {
						%>
						<tr align="center">
							<td colspan="3">&nbsp;
								<div class="errorblock">
									<spring:message code="password.msg.err.change.fail" />
								</div>
							</td>
						</tr>
						<%
							}
						%>
						<tr>
							<td width="30%"><b><spring:message
										code="password.field.old.password" /></b></td>
							<td><input name="oldPwd" type="password" size="10"
								maxlength="8" /></td>
							<td width="50%"></td>
						</tr>
						<tr>
							<td><b><spring:message
										code="password.field.new.password" /></b></td>
							<td><input name="newPwd" type="password" size="10"
								maxlength="8" /></td>
							<td></td>
						</tr>
						<tr>
							<td><b><spring:message
										code="password.field.confirm.password" /></b></td>
							<td><input name="confirm" type="password" size="10"
								maxlength="8" /></td>
							<td></td>
						</tr>
						<tr>
							<td colspan="3"><b><spring:message
										code="password.field.password.guide" /></b></td>
						</tr>
						<tr>
							<td colspan="3" align="center" height="60">
								<%
									if (request.getAttribute("first") == null) {
								%> <a href="javascript:backMain();"><img
									src="<%=request.getContextPath()%>/img/cancel.jpg" border="0" /></a>
								<%
									}
								%> <a href="javascript:changePwd();"><img
									src="<%=request.getContextPath()%>/img/submit.jpg" border="0" /></a>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</form>
</body>

</html>