<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<%@ page
	import="java.util.Map,java.util.TreeMap,java.util.Iterator,java.util.Map.Entry"%>

<html>
<head>
<title><spring:message code="title.page" /></title>
<link rel="stylesheet" type="text/css"
	href="<c:url value="/css/style.css"/>" />
<script LANGUAGE="JavaScript">
	function submitForm() {
		
		if (document.loginForm.j_username.value.length < 1) {
			alert("<spring:message code='login.msg.err.login.id.empty' />");
		} else if (document.loginForm.j_password.value.length < 8) {
			alert("<spring:message code='login.msg.err.login.pwd.invalid' />");
		}else {
			document.loginForm.target = "";
			document.loginForm.action = "j_spring_security_check";
			document.loginForm.submit();
		}
	}

	function forgotpwd() {
		if (document.loginForm.j_username.value.length < 1) {
			alert("<spring:message code='login.msg.err.login.id.empty' />");
		} else {
			document.loginForm.target = "";
			document.loginForm.action = "emailPwd";
			document.loginForm.submit();
		}
	}

	function emailpwdResult(validStockist) {
		if(validStockist != null){
			if(validStockist){
				alert("<spring:message code='login.msg.forgot.password.success' />");
				}else{
					alert("<spring:message code='login.msg.forgot.password.fail' />");
					}
			}
		document.loginForm.j_username.focus();
		
	}
</script>
</head>

<body bgcolor="#FFFFFF" text="#000000"
	onload='javascript:emailpwdResult(<%=(Boolean) request.getAttribute("validStockist")%>);'>

	<form name='loginForm' id="loginForm" method='POST'>
		<table width="400" border="0" cellspacing="0" cellpadding="0"
			align="center" class="tbl">
			<tr>
				<td bgcolor="#B7C0FF">
					<table class="tblSub" width="100%" border="0" cellspacing="0"
						cellpadding="10" align="center" bgcolor="#FFFFFF">
						<tr bgcolor="#B7C0FF">
							<td colspan="4" id=tHeader align="center"><b><spring:message
										code="login.field.user.login" /></b></td>
						</tr>
						<tr bgcolor="#ECECFF" align="left">
							<td colspan="4" height="60"><b><spring:message
										code="login.field.login.msg" /></b></td>
						</tr>
						<%
							if (request.getAttribute("error") != null) {
						%>
						<tr bgcolor="#ECECFF" align="center">
							<td colspan="4">&nbsp;
								<div class="errorblock">
									<spring:message code="login.msg.err.login.fail" />
								</div>
							</td>
						</tr>
						<%
							}
						%>
						<tr bgcolor="#ECECFF">
							<td>&nbsp;</td>
							<td><b> <spring:message code="login.field.login.id" /></b></td>
							<td>:</td>
							<td><input type="text" name="j_username" size="15"
								maxlength="15"></td>
						</tr>
						<tr bgcolor="#ECECFF">
							<td>&nbsp;</td>
							<td><b><spring:message code="login.field.login.pwd" /></b></td>
							<td>:</td>
							<td><input type="password" name="j_password" size="15"
								maxlength="15"></td>
						</tr>
						<tr bgcolor="#ECECFF">
							<td colspan="3" />
							<td><spring:message code="login.field.login.pwd.msg" /></td>
						</tr>
						<tr bgcolor="#ECECFF">
							<td>&nbsp;</td>
							<td><b><spring:message code="login.field.login.country" /></b></td>
							<td>:</td>
							<td><SELECT name='ctrycode'>
									<%
										Map<String, String> countryMap = (Map<String, String>) request
												.getAttribute("countryMap");
										Iterator<Entry<String, String>> it = countryMap.entrySet()
												.iterator();
										while (it.hasNext()) {
											Map.Entry pairs = (Map.Entry) it.next();
											out.println("<option value=" + pairs.getValue() + ">"
													+ pairs.getKey() + "</option>");
										}
									%>
							</SELECT></td>
						</tr>
						<tr bgcolor="#ECECFF">
							<td colspan="4" align="left" height="60"><spring:message
									code="login.field.login.forgot" /><a
								href="javascript:forgotpwd();"><spring:message
										code="login.field.click.here" /></a></td>
						</tr>


						<tr bgcolor="#ECECFF">
							<td colspan="4" align="center" height="60"><a
								href="document.loginForm.reset();"><img src="img/reset.jpg"
									border="0" /></a> <a href="javascript:submitForm();"><img
									src="img/login.jpg" border="0" /></a></td>
						</tr>

					</table>
				</td>
			</tr>
		</table>
	</form>
</body>
</html>