<%@ page language="java" pageEncoding="UTF-8"
	contentType="text/html; charset=UTF-8"
	import="java.util.Map, java.util.Iterator, java.util.Map.Entry, com.ecosway.stockiest.common.CommonConstant"%>

<SCRIPT LANGUAGE="JavaScript">
	function showHideSubject(value) {
		var oldInput = document.getElementById("subject");
		var newInput = document.createElement('input');
		newInput.name = "subject";
		newInput.id = "subject";
		newInput.value = "";

		if (value == "subject") {
			newInput.type = "text";
			newInput.size = 20;
		} else {
			newInput.type = "hidden";
			newInput.size = 1;
		}

		document.getElementById("SearchField").removeChild(oldInput);
		document.getElementById("SearchField").appendChild(newInput);

	}
</SCRIPT>

<table width="95%" border="0" cellspacing="3" cellpadding="5">
	<tr>
		<td colspan="3"><b><spring:message
					code='announcement.field.search' /></b></td>
	</tr>
	<tr>
		<td width="20%"><b><spring:message
					code='announcement.field.search.month.year' /></b></td>
		<td width="70%"><div id="SearchField" style="margin: 0 auto;">
				<!-- Month List -->
				<select name="month">
					<option
						value="<spring:message code='announcement.field.search.select.month' />">
						<spring:message code='announcement.field.search.select.month' />
					</option>
					<%
						int displayMonth = 0;
						if (request.getAttribute("month") != null) {
							displayMonth = Integer.parseInt(request.getAttribute("month")
									.toString());
						} else {
							displayMonth = new Date().getMonth() + 1;
						}

						for (int i = 1; i <= 12; i++) {
					%>
					<option value="<%=i%>" <%if (displayMonth == i) {%> selected <%}%>><%=CommonConstant.MONTH_ARRAY_IN_ALPHABET[i]%></option>
					<%
						}
					%>
				</select> &nbsp;
				<!-- Year List -->
				<select name="year">
					<option
						value="<spring:message code='announcement.field.search.select.year' />">
						<spring:message code='announcement.field.search.select.year' />
					</option>
					<%
						Date now = new Date();
						int totalYear = 2;

						// TODO remove this after year 2013
						if ((now.getYear() + 1900) == 2013) {
							totalYear = 0;
						} else
						// TODO remove this after year 2014
						if ((now.getYear() + 1900) == 2014) {
							totalYear = 1;
						}

						int displayYear = 0;
						if (request.getAttribute("year") != null) {
							displayYear = Integer.parseInt(request.getAttribute("year")
									.toString());
						} else {
							displayYear = now.getYear() + 1900;
						}

						for (; totalYear >= 0; totalYear--) {
					%>
					<option value="<%=now.getYear() + 1900 - totalYear%>"
						<%if (displayYear == now.getYear() + 1900 - totalYear) {%>
						selected <%}%>><%=now.getYear() + 1900 - totalYear%></option>
					<%
						}
					%>
				</select> &nbsp;
				<!-- Type List -->
				<%
					List<Integer> viewTypeList = new ArrayList<Integer>();
					if (request.getAttribute("viewTypeList") != null) {
						viewTypeList = (List<Integer>) request
								.getAttribute("viewTypeList");
					}
				%>

				<select id="tcs" name="tcs" onchange="showHideSubject(this.value)">
					<%
						String tcsSelected = request.getAttribute("tcs") == null ? "ALL"
								: request.getAttribute("tcs").toString();
					%>
					<option value="ALL">
						<spring:message code='announcement.field.search.all' />
					</option>
					<optgroup label="Type">
						<%
							for (Integer type : viewTypeList) {
								switch (type) {
								case 1:
						%>
						<option
							value="<%=CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_TYPE%>1"
							<%if (tcsSelected
							.equalsIgnoreCase(CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_TYPE
									+ "1")) {%>
							selected <%}%>><%=CommonConstant.ANNOUNCEMENT_STRING_TYPE_COSWAY_STOCKIST%></option>
						<%
							break;
								case 2:
						%>
						<option
							value="<%=CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_TYPE%>2"
							<%if (tcsSelected
							.equalsIgnoreCase(CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_TYPE
									+ "2")) {%>
							selected <%}%>><%=CommonConstant.ANNOUNCEMENT_STRING_TYPE_CONDO_STOCKIST%></option>
						<%
							break;
								case 3:
						%>
						<option
							value="<%=CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_TYPE%>3"
							<%if (tcsSelected
							.equalsIgnoreCase(CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_TYPE
									+ "3")) {%>
							selected <%}%>><%=CommonConstant.ANNOUNCEMENT_STRING_TYPE_CFP%></option>
						<%
							break;
								case 4:
						%>
						<option
							value="<%=CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_TYPE%>4"
							<%if (tcsSelected
							.equalsIgnoreCase(CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_TYPE
									+ "4")) {%>
							selected <%}%>><%=CommonConstant.ANNOUNCEMENT_STRING_TYPE_PHARMACY_STOCKIST%></option>
						<%
							break;
								case 5:
						%>
						<option
							value="<%=CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_TYPE%>5"
							<%if (tcsSelected
							.equalsIgnoreCase(CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_TYPE
									+ "5")) {%>
							selected <%}%>><%=CommonConstant.ANNOUNCEMENT_STRING_TYPE_PHARMACIST%></option>
						<%
							break;
								}
							}
						%>
					</optgroup>
					<!-- Category List -->
					<optgroup label="Category">

						<%
							Map<Integer, String> categoryMap = (Map<Integer, String>) request
									.getAttribute("category");
							categoryMap.keySet();

							Iterator<Entry<Integer, String>> catIt = categoryMap.entrySet()
									.iterator();

							while (catIt.hasNext()) {
								Map.Entry pairs = (Map.Entry) catIt.next();
						%>
						<option
							value="<%=CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_CATEGORY%><%=pairs.getKey()%>"
							<%if (tcsSelected
						.equalsIgnoreCase(CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_CATEGORY
								+ pairs.getKey())) {%>
							selected <%}%>><%=pairs.getValue()%></option>
						<%
							}
						%>


					</optgroup>
					<!-- Subject -->
					<optgroup label="Subject">
						<option
							value="<%=CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_SUBJECT%>"
							<%if (tcsSelected
					.equalsIgnoreCase(CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_SUBJECT)) {%>
							selected <%}%>>
							<spring:message code='announcement.field.search.subject' />
						</option>
					</optgroup>
				</select> &nbsp;

				<!-- Subject String -->
				<input id="subject" name="subject"
					<%=tcsSelected
					.equalsIgnoreCase(CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_SUBJECT) ? "type=\"text\""
					: "type=\"hidden\""%>
					value="<%=request.getAttribute("subject")%>"
					<%=tcsSelected
					.equalsIgnoreCase(CommonConstant.ANNOUCEMENT_TCS_SEARCH_PREFIX_SUBJECT) ? "size=20"
					: "size=1"%> />
			</div></td>
		<td width="10%">
			<!-- Search button --> <a href="javascript:search();"><img
				src="img/search_button.gif" border="0" /></a>
		</td>
	</tr>
</table>